 declare @tipoFuncionalidad as integer
 declare @uid as varchar (100)
 declare @eid as varchar (100)
 declare @idFuncionalidadPare as integer
 
 set @uid = (select top 1 uid from gen_config where id = 1)
set @eid = (select top 1 eid from gen_config where id = 1)

if not exists (select * from gui_funcionalidad where nombreControl = 'evento' and id_tipoFuncionalidad = 3 and funcionalidad = 'Estados de Evento')
begin

INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
     VALUES
           (@uid
           ,@eid
           ,1
           ,1
           ,GETDATE()
           ,GETDATE()
           ,1
           ,'Estados de Evento'
           ,''
           ,''
           ,''
           ,''
           ,'/forms/dis/dis_estadoEvento.aspx'
           ,''
           ,1
           ,'evento'
           ,'evento'
           ,3
           ,334
           ,3)

end

